# Main features

- Important fixes to avoid dependency loops
- Reuse-tool for a fast check of license compliance

# Deprecations

- prettify of checkstyle exporter has been removed (the file still remains machine readable)
- possible future deprecation of go support, as go 1.16 will be the last version supporting modules without as go.mod (which we have plenty)

# New

- #4113 - reuse-tool: makes licensing your Free Software projects easier - COMPLIANCE,FEATURE REQUEST

# Updates

- #4107 - Update python3-astroids-native to 2.5 - PACKAGE UPDATE
- #4123 - Update phpstan-native to 0.12.77 - PACKAGE UPDATE
- #4124 - Update npm-eslint-template-visitor-native to 2.3.2 - PACKAGE UPDATE
- #4125 - Update npm-ci-info-native to 3.1.1 - PACKAGE UPDATE
- #4126 - Update python3-ansiblelint-native to 5.0.1 - PACKAGE UPDATE
- #4127 - Update npm-cacheable-lookup-native to 6.0.0 - PACKAGE UPDATE
- #4128 - Update ruby-activesupport to 6.1.3 - PACKAGE UPDATE
- #4129 - Update npm-electron-to-chromium-native to 1.3.671 - PACKAGE UPDATE
- #4130 - Update ruby-aws-sdk-ec2 to 1.225.0 - PACKAGE UPDATE
- #4131 - Update npm-mime-types-native to 2.1.29 - PACKAGE UPDATE
- #4132 - Update ruby-aws-sdk-configservice to 1.58.0 - PACKAGE UPDATE
- #4133 - Update python3-tqdm-native to 4.57.0 - PACKAGE UPDATE
- #4134 - Update npm-is-ci-native to 3.0.0 - PACKAGE UPDATE
- #4135 - Update npm-eslint-plugin-unicorn-native to 28.0.2 - PACKAGE UPDATE
- #4136 - Update npm-cspell-dict-haskell-native to 1.1.3 - PACKAGE UPDATE
- #4137 - Update cbmc-native to cbmc-5.24.0 - PACKAGE UPDATE
- #4138 - Update npm-babel-generator-native to 7.12.17 - PACKAGE UPDATE
- #4139 - Update npm-babel-helpers-native to 7.12.17 - PACKAGE UPDATE
- #4140 - Update npm-core-js-pure-native to 3.9.0 - PACKAGE UPDATE
- #4141 - Update npm-babel-runtime-native to 7.12.18 - PACKAGE UPDATE
- #4142 - Update npm-babel-core-native to 7.12.17 - PACKAGE UPDATE
- #4143 - Update npm-babel-parser-native to 7.12.17 - PACKAGE UPDATE
- #4144 - Update npm-babel-eslint-parser-native to 7.12.17 - PACKAGE UPDATE
- #4145 - Update npm-babel-runtime-corejs3-native to 7.12.18 - PACKAGE UPDATE
- #4146 - Update npm-babel-types-native to 7.12.17 - PACKAGE UPDATE
- #4147 - Update npm-babel-traverse-native to 7.12.17 - PACKAGE UPDATE
- #4148 - Update npm-babel-helper-member-expression-to-functions-native to 7.12.17 - PACKAGE UPDATE
- #4149 - Update npm-babel-helper-module-transforms-native to 7.12.17 - PACKAGE UPDATE
- #4150 - Update ruby-aws-sdk-cloudformation to 1.48.0 - PACKAGE UPDATE
- #4151 - Update npm-types-node-native to 14.14.31 - PACKAGE UPDATE
- #4152 - Update npm-cli-table-native to 0.3.5 - PACKAGE UPDATE
- #4153 - Update npm-caniuse-lite-native to 1.0.30001190 - PACKAGE UPDATE
- #4154 - Update inspec-linux-baseline to 2.6.4 - PACKAGE UPDATE
- #4155 - Update python3-mypy-native to 0.812 - PACKAGE UPDATE
- #4156 - Update npm-fimbul-wotan-native to 0.24.0 - PACKAGE UPDATE
- #4157 - Update npm-fimbul-ve-native to 0.24.0 - PACKAGE UPDATE
- #4158 - Update npm-fimbul-valtyr-native to 0.24.0 - PACKAGE UPDATE
- #4159 - Update npm-fimbul-ymir-native to 0.24.0 - PACKAGE UPDATE
- #4160 - Update npm-fimbul-mimir-native to 0.24.0 - PACKAGE UPDATE
- #4161 - Update npm-pyright-native to 1.1.113 - PACKAGE UPDATE
- #4162 - Update ruby-aws-partitions to 1.428.0 - PACKAGE UPDATE
- #4163 - Update python3-pytype-native to 2021.2.19 - PACKAGE UPDATE
- #4164 - Update ruby-chef-config to 16.10.17 - PACKAGE UPDATE
- #4165 - Update ruby-aws-sdk-rds to 1.115.0 - PACKAGE UPDATE
- #4166 - Update npm-fimbul-bifrost-native to 0.24.0 - PACKAGE UPDATE
- #4167 - Update ruby-chef-utils to 16.10.17 - PACKAGE UPDATE
- #4169 - Update npm-file-entry-cache-native to 6.0.1 - PACKAGE UPDATE
- #4170 - Update npm-eslint-plugin-no-secrets-native to 0.7.9 - PACKAGE UPDATE
- #4171 - Update python3-rich-native to 9.11.1 - PACKAGE UPDATE
- #4172 - Update phpstan-native to 0.12.79 - PACKAGE UPDATE
- #4173 - Update npm-stylelint-native to 13.11.0 - PACKAGE UPDATE
- #4174 - Update npm-lodash-native to 4.17.21 - PACKAGE UPDATE
- #4175 - Update npm-array-includes-native to 3.1.3 - PACKAGE UPDATE
- #4176 - Update python3-cython-native to 0.29.22 - PACKAGE UPDATE
- #4177 - Update npm-object-is-native to 1.1.5 - PACKAGE UPDATE
- #4178 - Update sudokiller to 765e5b3c39f901a4ef4e58cefa0d785d9251b7e8 - PACKAGE UPDATE
- #4179 - Update python3-ansiblelint-native to 5.0.2 - PACKAGE UPDATE
- #4180 - Update python3-jaraco-functools-native to 3.2.1 - PACKAGE UPDATE
- #4181 - Update python3-pylint-native to 2.7.0 - PACKAGE UPDATE
- #4182 - Update npm-postcss-less-native to 4.0.1 - PACKAGE UPDATE
- #4183 - Update ruby-chef-telemetry to 1.0.29 - PACKAGE UPDATE
- #4184 - Update npm-string.prototype.matchall-native to 4.0.4 - PACKAGE UPDATE
- #4185 - Update npm-object.fromentries-native to 2.0.4 - PACKAGE UPDATE
- #4186 - Update npm-yargs-parser-native to 20.2.6 - PACKAGE UPDATE
- #4188 - Update python3-darglint-native to 1.7.0 - PACKAGE UPDATE
- #4189 - Update npm-caniuse-lite-native to 1.0.30001191 - PACKAGE UPDATE
- #4190 - Update perl-b-keywords-native to 1.22 - PACKAGE UPDATE
- #4191 - Update inspec-linux-baseline to 2.7.0 - PACKAGE UPDATE
- #4192 - Update npm-brace-expansion-native to 2.0.1 - PACKAGE UPDATE
- #4193 - Update npm-electron-to-chromium-native to 1.3.674 - PACKAGE UPDATE
- #4194 - Update npm-type-fest-native to 0.21.2 - PACKAGE UPDATE
- #4195 - Update npm-babel-helper-replace-supers-native to 7.13.0 - PACKAGE UPDATE
- #4196 - Update npm-babel-parser-native to 7.13.4 - PACKAGE UPDATE
- #4197 - Update npm-babel-runtime-native to 7.13.7 - PACKAGE UPDATE
- #4198 - Update npm-babel-eslint-parser-native to 7.13.4 - PACKAGE UPDATE
- #4199 - Update npm-babel-helper-member-expression-to-functions-native to 7.13.0 - PACKAGE UPDATE
- #4200 - Update npm-babel-generator-native to 7.13.0 - PACKAGE UPDATE
- #4201 - Update npm-babel-helper-module-transforms-native to 7.13.0 - PACKAGE UPDATE
- #4202 - Update npm-read-package-json-native to 3.0.1 - PACKAGE UPDATE
- #4203 - Update npm-babel-helpers-native to 7.13.0 - PACKAGE UPDATE
- #4204 - Update npm-babel-types-native to 7.13.0 - PACKAGE UPDATE
- #4205 - Update npm-babel-core-native to 7.13.1 - PACKAGE UPDATE
- #4206 - Update npm-babel-runtime-corejs3-native to 7.13.7 - PACKAGE UPDATE
- #4207 - Update npm-babel-traverse-native to 7.13.0 - PACKAGE UPDATE
- #4208 - Update npm-object.values-native to 1.1.3 - PACKAGE UPDATE
- #4209 - Update nodejs-native to 12.21.0 - PACKAGE UPDATE
- #4210 - Update composer-native to 2.0.11 - PACKAGE UPDATE
- #4211 - Update python3-fingerprints-native to 1.0.3 - PACKAGE UPDATE
- #4212 - Update ruby-train to 3.5.2 - PACKAGE UPDATE
- #4213 - Update npm-node-releases-native to 1.1.71 - PACKAGE UPDATE
- #4214 - Update ruby-train-core to 3.5.2 - PACKAGE UPDATE
- #4215 - Update ruby-aws-sdk-autoscaling to 1.55.0 - PACKAGE UPDATE
- #4216 - Update python3-importlib-metadata-native to 3.7.0 - PACKAGE UPDATE
- #4217 - Update npm-pyright-native to 1.1.115 - PACKAGE UPDATE
- #4218 - Update python3-pytype-native to 2021.2.23 - PACKAGE UPDATE
- #4219 - Update npm-string.prototype.trimend-native to 1.0.4 - PACKAGE UPDATE
- #4220 - Update ruby-aws-sdk-glue to 1.84.0 - PACKAGE UPDATE
- #4221 - Update ruby-aws-partitions to 1.429.0 - PACKAGE UPDATE
- #4222 - Update npm-string.prototype.trimstart-native to 1.0.4 - PACKAGE UPDATE
- #4223 - Update npm-typescript-native to 4.2.2 - PACKAGE UPDATE
- #4224 - Update python3-pylint-native to 2.7.1 - PACKAGE UPDATE
- #4225 - Update ruby-minitest to 5.14.4 - PACKAGE UPDATE
- #4226 - Update python3-banal-native to 1.0.6 - PACKAGE UPDATE
- #4227 - Update python3-normality-native to 2.1.3 - PACKAGE UPDATE
- #4228 - Update python3-typecode-native to 21.2.24 - PACKAGE UPDATE
- #4229 - Update npm-fastq-native to 1.11.0 - PACKAGE UPDATE
- #4230 - Update ruby-inspec to 4.26.13 - PACKAGE UPDATE
- #4231 - Update ruby-inspec-core to 4.26.13 - PACKAGE UPDATE
- #4232 - Update ruby-psych-native to 3.3.1 - PACKAGE UPDATE
- #4233 - Update ruby-inspec-bin to 4.26.13 - PACKAGE UPDATE
- #4234 - Update npm-defer-to-connect-native to 2.0.1 - PACKAGE UPDATE
- #4235 - Update python3-rich-native to 9.12.0 - PACKAGE UPDATE
- #4236 - Update ruby-aws-sdk-elasticsearchservice to 1.49.0 - PACKAGE UPDATE
- #4237 - Update python3-detect-secrets-native to 1.0.3 - PACKAGE UPDATE
- #4238 - Update npm-caniuse-lite-native to 1.0.30001192 - PACKAGE UPDATE
- #4239 - Update python3-oelint-parser-native to 1.0.9 - PACKAGE UPDATE
- #4240 - Update npm-cspell-io-native to 5.3.2 - PACKAGE UPDATE
- #4241 - Update npm-cspell-cspell-bundled-dicts-native to 5.3.2 - PACKAGE UPDATE
- #4242 - Update npm-unified-native to 9.2.1 - PACKAGE UPDATE
- #4243 - Update npm-cspell-glob-native to 5.3.2 - PACKAGE UPDATE
- #4244 - Update npm-cspell-lib-native to 5.3.2 - PACKAGE UPDATE
- #4245 - Update npm-cspell-native to 5.3.2 - PACKAGE UPDATE
- #4246 - Update python3-oelint-adv-native to 2.2.0 - PACKAGE UPDATE
- #4247 - Update npm-cspell-trie-lib-native to 5.3.2 - PACKAGE UPDATE
- #4248 - Update npm-cspell-cspell-types-native to 5.3.2 - PACKAGE UPDATE
- #4249 - Update npm-http2-wrapper-native to 2.0.0 - PACKAGE UPDATE
- #4250 - Update python3-tqdm-native to 4.58.0 - PACKAGE UPDATE
- #4251 - Update npm-colorette-native to 1.2.2 - PACKAGE UPDATE
- #4252 - Update ruby-aws-sdk-transfer to 1.31.0 - PACKAGE UPDATE
- #4254 - Update ruby-aws-sdk-s3 to 1.88.2 - PACKAGE UPDATE
- #4255 - Update npm-cspell-dict-companies-native to 1.1.3 - PACKAGE UPDATE
- #4256 - Update npm-got-native to 11.8.2 - PACKAGE UPDATE
- #4257 - Update ruby-azure-mgmt-storage to 0.23.0 - PACKAGE UPDATE
- #4258 - Update npm-string-width-native to 4.2.1 - PACKAGE UPDATE
- #4259 - Update github.com-google-renameio-native to 650fcb94ca4d72ea43b13887574f2cc8daf89d48 - PACKAGE UPDATE
- #4260 - Update github.com-pkg-diff-native to 20ebb0f2a09e612109b224b32f79370409108bcc - PACKAGE UPDATE
- #4261 - Update ruby-aws-sdk-eks to 1.50.0 - PACKAGE UPDATE
- #4262 - Update npm-cspell-cspell-types-native to 5.3.5 - PACKAGE UPDATE
- #4263 - Update ruby-aws-sdk-s3 to 1.89.0 - PACKAGE UPDATE
- #4264 - Update npm-cspell-lib-native to 5.3.6 - PACKAGE UPDATE
- #4265 - Update npm-babel-runtime-native to 7.13.9 - PACKAGE UPDATE
- #4266 - Update npm-cspell-trie-lib-native to 5.3.5 - PACKAGE UPDATE
- #4267 - Update npm-cspell-glob-native to 5.3.5 - PACKAGE UPDATE
- #4268 - Update npm-babel-compat-data-native to 7.13.8 - PACKAGE UPDATE
- #4269 - Update npm-babel-core-native to 7.13.8 - PACKAGE UPDATE
- #4270 - Update npm-babel-helper-compilation-targets-native to 7.13.8 - PACKAGE UPDATE
- #4271 - Update npm-babel-runtime-corejs3-native to 7.13.9 - PACKAGE UPDATE
- #4272 - Update npm-babel-eslint-parser-native to 7.13.8 - PACKAGE UPDATE
- #4273 - Update npm-cspell-io-native to 5.3.5 - PACKAGE UPDATE
- #4274 - Update npm-electron-to-chromium-native to 1.3.681 - PACKAGE UPDATE
- #4275 - Update npm-babel-highlight-native to 7.13.8 - PACKAGE UPDATE
- #4276 - Update npm-cspell-native to 5.3.6 - PACKAGE UPDATE
- #4278 - Update python3-wemake-python-styleguide-native to 0.15.2 - PACKAGE UPDATE
- #4279 - Update python3-rich-native to 9.12.4 - PACKAGE UPDATE
- #4280 - Update npm-has-symbols-native to 1.0.2 - PACKAGE UPDATE
- #4281 - Update npm-eslint-native to 7.21.0 - PACKAGE UPDATE
- #4282 - Update npm-eslint-eslintrc-native to 0.4.0 - PACKAGE UPDATE
- #4283 - Update npm-eslint-plugin-no-secrets-native to 0.8.9 - PACKAGE UPDATE
- #4284 - Update github.com-gookit-color-native to 1.3.8 - PACKAGE UPDATE
- #4285 - Update python3-gitpython-native to 3.1.14 - PACKAGE UPDATE
- #4286 - Update python3-bitarray-native to 1.7.0 - PACKAGE UPDATE
- #4287 - Update npm-core-js-pure-native to 3.9.1 - PACKAGE UPDATE
- #4288 - Update npm-string-width-native to 4.2.2 - PACKAGE UPDATE
- #4289 - Update phpstan-native to 0.12.80 - PACKAGE UPDATE
- #4290 - Update python3-pylint-native to 2.7.2 - PACKAGE UPDATE
- #4291 - Update python3-coverage-native to 5.5 - PACKAGE UPDATE
- #4292 - Update python3-astroids-native to 2.5.1 - PACKAGE UPDATE
- #4293 - Update npm-pyright-native to 1.1.117 - PACKAGE UPDATE
- #4294 - Update npm-array-union-native to 3.0.1 - PACKAGE UPDATE
- #4295 - Update npm-cspell-cspell-bundled-dicts-native to 5.3.4 - PACKAGE UPDATE
- #4296 - Update npm-cspell-dict-ruby-native to 1.1.3 - PACKAGE UPDATE
- #4297 - Update ruby-aws-sdk-codepipeline to 1.42.0 - PACKAGE UPDATE
- #4298 - Update npm-babel-generator-native to 7.13.9 - PACKAGE UPDATE
- #4299 - Update ruby-aws-partitions to 1.431.0 - PACKAGE UPDATE
- #4300 - Update npm-babel-parser-native to 7.13.9 - PACKAGE UPDATE
- #4301 - Update ruby-aws-sdk-ssm to 1.105.0 - PACKAGE UPDATE
- #4302 - Update npm-caniuse-lite-native to 1.0.30001196 - PACKAGE UPDATE
- #4303 - Update npm-emoji-regex-native to 9.2.2 - PACKAGE UPDATE
- #4304 - Update npm-vue-eslint-parser-native to 7.6.0 - PACKAGE UPDATE
- #4305 - Update npm-eslint-plugin-vue-native to 7.7.0 - PACKAGE UPDATE
- #4306 - Update python3-systemdlint-native to 1.1.17 - PACKAGE UPDATE
- #4314 - Update k8s.io-klog-native to 2.6.0 - PACKAGE UPDATE
- #4315 - Update python3-flake8-bugbear-native to 21.3.1 - PACKAGE UPDATE
- #4316 - Update ruby-aws-sdk-elasticsearchservice to 1.50.0 - PACKAGE UPDATE
- #4317 - Update ruby-aws-sdk-cloudwatchevents to 1.43.0 - PACKAGE UPDATE
- #4318 - Update ruby-docker-api to 2.1.0 - PACKAGE UPDATE
- #4319 - Update z3-native to 4.8.10 - PACKAGE UPDATE
- #4320 - Update npm-postcss-native to 8.2.7 - PACKAGE UPDATE
- #4321 - Update python3-typecode-libmagic-from-sources-native to 5.39.210212 - PACKAGE UPDATE
- #4322 - Update ruby-aws-sdk-secretsmanager to 1.45.0 - PACKAGE UPDATE
- #4323 - Update python3-pytype-native to 2021.3.3 - PACKAGE UPDATE
- #4324 - Update gosec-native to 2.7.0 - PACKAGE UPDATE
- #4325 - Update ansible-konstruktoid-ansible-role-hardening to 1.3.2 - PACKAGE UPDATE
- #4326 - Update cbmc-native to cbmc-5.25.0 - PACKAGE UPDATE
- #4328 - Update ruby-signet to 0.15.0 - PACKAGE UPDATE
- #4329 - Update ruby-googleauth to 0.16.0 - PACKAGE UPDATE
- #4330 - Update github.com-google-go-cmp-native to 0.5.5 - PACKAGE UPDATE
- #4331 - Update npm-axe-core-native to 4.1.3 - PACKAGE UPDATE
- #4332 - Update ruby-aws-sdk-core to 3.112.1 - PACKAGE UPDATE
- #4333 - Update ruby-aws-sdk-apigateway to 1.60.0 - PACKAGE UPDATE
- #4334 - Update ruby-aws-sigv4 to 1.2.3 - PACKAGE UPDATE
- #4335 - Update python3-setuptools-scm-native to 5.0.2 - PACKAGE UPDATE
- #4336 - Update ruby-aws-eventstream to 1.1.1 - PACKAGE UPDATE
- #4337 - Update npm-typescript-native to 4.2.3 - PACKAGE UPDATE
- #4339 - Update python3-zipp-native to 3.4.1 - PACKAGE UPDATE
- #4340 - Update npm-postcss-scss-native to 3.0.5 - PACKAGE UPDATE
- #4341 - Update python3-ruamelyaml-native to 0.16.13 - PACKAGE UPDATE
- #4343 - Update ruby-aws-sdk-athena to 1.36.0 - PACKAGE UPDATE
- #4344 - Update npm-cspell-cspell-types-native to 5.3.7 - PACKAGE UPDATE
- #4345 - Update ruby-aws-sdk-ec2 to 1.226.0 - PACKAGE UPDATE
- #4346 - Update npm-cspell-io-native to 5.3.7 - PACKAGE UPDATE
- #4347 - Update npm-cspell-lib-native to 5.3.7 - PACKAGE UPDATE
- #4348 - Update npm-autoprefixer-native to 10.2.5 - PACKAGE UPDATE
- #4349 - Update npm-pyright-native to 1.1.118 - PACKAGE UPDATE
- #4350 - Update ruby-aws-sdk-codepipeline to 1.43.0 - PACKAGE UPDATE
- #4351 - Update npm-cspell-glob-native to 5.3.7 - PACKAGE UPDATE
- #4352 - Update npm-cspell-trie-lib-native to 5.3.7 - PACKAGE UPDATE
- #4353 - Update npm-cspell-native to 5.3.7 - PACKAGE UPDATE
- #4354 - Update ruby-aws-partitions to 1.431.1 - PACKAGE UPDATE
- #4355 - Update python3-tqdm-native to 4.59.0 - PACKAGE UPDATE
- #4356 - Update npm-v8-compile-cache-native to 2.3.0 - PACKAGE UPDATE
- #4357 - Update ruby-aws-sdk-shield to 1.35.0 - PACKAGE UPDATE
- #4358 - Update npm-electron-to-chromium-native to 1.3.682 - PACKAGE UPDATE
- #4360 - Update python3-oelint-parser-native to 1.0.10 - PACKAGE UPDATE
- #4361 - Update python3-oelint-adv-native to 2.2.1 - PACKAGE UPDATE

# Bugfixes

- #4277 - go compliation errors after go 1.16 update - BUG
- #4307 - [ERROR] Aborted dependency loops search after 10 matches - BUG
- #4308 - python3-typecode-libmagic-from-sources-native upstream check broken - BUG
- #4309 - python3-javaproperties-native upstream check broken - BUG
- #4310 - python3-contextlib2-native upstream check broken - BUG
- #4311 - python3-pyparsing-native upstream check broken - BUG
- #4312 - z3-native upstream check broken - BUG
- #4313 - python3-ninja-native upstream check broken - BUG
- #4338 - checkstyle prettify removal causes exception - BUG
- #4342 - SPDXLICENSEMAP replacements produce invalid license strings - BUG
- #4359 - ansiblelint requires ruamel.yaml.clib - BUG

# Thanks to

- @RobertBerger
- @gomme600
